cascading.tuple.hadoop.collect

## Class HadoopSpillableTupleMap

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<Tuple,java.util.Collection<Tuple>>
    - - cascading.tuple.collect.SpillableTupleMap
      - - cascading.tuple.hadoop.collect.HadoopSpillableTupleMap

- All Implemented Interfaces:
    Spillable, java.io.Serializable, java.lang.Cloneable, java.util.Map<Tuple,java.util.Collection<Tuple>>

      public class HadoopSpillableTupleMap
      extends SpillableTupleMap

  HadoopSpillableTupleMap is responsible for spilling values to disk if the map threshold is reached.
  See Also:
    `SpillableTupleMap`, `SpillableTupleList`, Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface cascading.tuple.collect.Spillable

      `Spillable.SpillListener, Spillable.SpillStrategy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HadoopSpillableTupleMap(int initialCapacity, float loadFactor, int mapThreshold, int listThreshold, FlowProcess<? extends org.apache.hadoop.conf.Configuration> flowProcess)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.Collection<Tuple>` | `createTupleCollection(Tuple tuple)`
    `protected Spillable.SpillStrategy` | `getSpillStrategy()` Method getSpillStrategy returns a SpillStrategy instance that is passed to the underlying Spillable tuple collection.

    - ### Methods inherited from class cascading.tuple.collect.SpillableTupleMap

      `get, getGrouping, getInitListThreshold, getMapCapacity, getMapLoadFactor, getMapThreshold, getMapThreshold, getSpillListener, setGrouping, setSpillListener, setSpillStrategy, spillCount`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, containsKey, containsValue, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### HadoopSpillableTupleMap

          public HadoopSpillableTupleMap(int initialCapacity,
                                 float loadFactor,
                                 int mapThreshold,
                                 int listThreshold,
                                 FlowProcess<? extends org.apache.hadoop.conf.Configuration> flowProcess)

  - ### Method Detail

    - #### createTupleCollection

          protected java.util.Collection<Tuple> createTupleCollection(Tuple tuple)

      Specified by:
        `createTupleCollection` in class `SpillableTupleMap`

    - #### getSpillStrategy

          protected Spillable.SpillStrategy getSpillStrategy()

      Method getSpillStrategy returns a SpillStrategy instance that is passed to the underlying Spillable tuple collection.
      Returns:
        of type Spillable#SpillStrategy

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.